<VirtualHost *:441>
	ServerName tesla-joyrides.com
	ServerAlias tesla-joyrides au.tesla-joyrides.com us.tesla-joyrides.com
	DocumentRoot "/www/tesla-joyrides"
	ServerAdmin sam@aiki.info
	ErrorLog logs/tesla-joyrides-error_log
	CustomLog logs/tesla-joyrides-access_log combined
	ScriptAlias /x/ /www/tesla-joyrides/x/
	AddHandler cgi-script .cgi
	<Directory "/www/tesla-joyrides">
		Options +Indexes +SymLinksIfOwnerMatch
		Require all granted
		AllowOverride All
	</Directory>
	<Directory "/www/tesla-joyrides/x">
		AllowOverride None
		Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
		Require all granted
	</Directory>
	AddDefaultCharset utf-8
	RewriteEngine on
#	RewriteRule ^/sam$ https://sam.aiki.info/ [L]
	SSLCertificateFile /etc/letsencrypt/live/tesla-joyrides.com/fullchain.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/tesla-joyrides.com/privkey.pem
	Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>
<VirtualHost *:80>
	ServerName tesla-joyrides.com
	ServerAlias tesla-joyrides au.tesla-joyrides.com us.tesla-joyrides.com
	DocumentRoot "/www/tesla-joyrides"
	ServerAdmin sam@aiki.info
	ErrorLog logs/tesla-joyrides-error_log
	CustomLog logs/tesla-joyrides-access_log combined
	RewriteEngine on
	RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI} [L]
</VirtualHost>
<VirtualHost *:441>
	ServerName teslajoyrides.com
	ServerAlias teslajoyrides au.teslajoyrides.com us.teslajoyrides.com
	DocumentRoot "/www/tesla-joyrides"
	ServerAdmin sam@aiki.info
	ErrorLog logs/tesla-joyrides-error_log
	CustomLog logs/tesla-joyrides-access_log combined
	RewriteEngine on
	RewriteRule (.*) https://tesla-joyrides.com%{REQUEST_URI} [L]
	SSLCertificateFile /etc/letsencrypt/live/teslajoyrides.com/fullchain.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/teslajoyrides.com/privkey.pem
	Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>
<VirtualHost *:80>
	ServerName teslajoyrides.com
	ServerAlias teslajoyrides au.teslajoyrides.com us.teslajoyrides.com
	DocumentRoot "/www/tesla-joyrides"
	ServerAdmin sam@aiki.info
	ErrorLog logs/tesla-joyrides-error_log
	CustomLog logs/tesla-joyrides-access_log combined
	RewriteEngine on
	RewriteRule (.*) https://tesla-joyrides.com%{REQUEST_URI} [L]
</VirtualHost>
